using DigitalOps.CQRS.Commands.Client;
using DigitalOps.CQRS.Commands.Organization;
using DigitalOps.CQRS.Commands.Project;
using Microsoft.Extensions.DependencyInjection;
using PoweredSoft.Module.Abstractions;

namespace DigitalOps.CQRS;

public class CommandModule : IModule
{
  public IServiceCollection ConfigureServices(IServiceCollection services)
  {
    services.AddModule<RegisterOrganizationCommandsModule>();
    services.AddModule<RegisterProjectCommandsModule>();
    services.AddModule<RegisterClientCommandsModule>();
    
    return services;
  }
}