using DigitalOps.CQRS.Services.Client;
using Microsoft.Extensions.DependencyInjection;
using OpenHarbor.CQRS.FluentValidation;
using PoweredSoft.Module.Abstractions;

namespace DigitalOps.CQRS.Commands.Client;

public class RegisterClientCommandsModule : IModule
{
  public IServiceCollection ConfigureServices(IServiceCollection services)
  {
    services.AddModule<RegisterClientServicesModule>();
    
    services.AddCommand<AddClientCommand, AddClientCommandHandler, 
      AddClientCommandValidator>();

    return services;
  }
}