using DigitalOps.CQRS.Services.Organization;
using Microsoft.Extensions.DependencyInjection;
using OpenHarbor.CQRS.FluentValidation;
using PoweredSoft.Module.Abstractions;

namespace DigitalOps.CQRS.Commands.Organization;

public class RegisterOrganizationCommandsModule : IModule
{
  public IServiceCollection ConfigureServices(IServiceCollection services)
  {
    services.AddModule<RegisterOrganizationServicesModule>();
    
    services.AddCommand<AddOrganizationCommand, AddOrganizationCommandHandler, 
      AddOrganizationCommandValidator>();

    return services;
  }
}