using DigitalOps.CQRS.Services.Project;
using Microsoft.Extensions.DependencyInjection;
using OpenHarbor.CQRS.FluentValidation;
using PoweredSoft.Module.Abstractions;

namespace DigitalOps.CQRS.Commands.Project;

public class RegisterProjectCommandsModule : IModule
{
  public IServiceCollection ConfigureServices(IServiceCollection services)
  {
    services.AddModule<RegisterProjectServicesModule>();
    
    services.AddCommand<AddProjectCommand, AddProjectCommandHandler, 
      AddProjectCommandValidator>();

    return services;
  }
}