using DigitalOps.Dal;
using Microsoft.Extensions.DependencyInjection;
using OpenHarbor.CQRS.DynamicQuery;
using PoweredSoft.Module.Abstractions;

namespace DigitalOps.CQRS.Queries.Client;

public class RegisterClientQueriesModule : IModule
{
  public IServiceCollection ConfigureServices(IServiceCollection services)
  {
    services.AddDynamicQueryWithParams<ClientItem, ClientParams>()
      .AddQueryableProviderOverride<ClientItem, ClientQueryableProvider>();
    
    return services;
  }
}