using Microsoft.Extensions.DependencyInjection;
using OpenHarbor.CQRS.Abstractions;

namespace DigitalOps.CQRS.Queries.Health;

public static class ServiceCollectionExtensions
{
  public static IServiceCollection AddHealthQueries(this IServiceCollection services)
  {
    services.AddQuery<HealthQuery, bool, HealthQueryHandler>();

    return services;
  }
}