using DigitalOps.Dal;
using Microsoft.Extensions.DependencyInjection;
using OpenHarbor.CQRS.DynamicQuery;
using PoweredSoft.Module.Abstractions;

namespace DigitalOps.CQRS.Queries.Organization;

public class RegisterOrganizationQueriesModule : IModule
{
  public IServiceCollection ConfigureServices(IServiceCollection services)
  {
    services.AddDynamicQuery<OrganizationItem>()
      .AddQueryableProviderOverride<OrganizationItem, OrganizationQueryableProvider>();
    
    return services;
  }
}