﻿using System;
using System.Collections.Generic;

namespace DigitalOps.Dal.DbEntity;

public partial class Organization
{
    public long Id { get; set; }

    public string Name { get; set; } = null!;

    public DateTime CreatedAt { get; set; }

    public DateTime? UpdatedAt { get; set; }

    public virtual ICollection<Client> Clients { get; set; } = new List<Client>();

    public virtual ICollection<OidcProvider> OidcProviders { get; set; } = new List<OidcProvider>();

    public virtual ICollection<OrganizationUser> OrganizationUsers { get; set; } = new List<OrganizationUser>();
}
