﻿using System;
using System.Collections.Generic;

namespace DigitalOps.Dal.DbEntity;

public partial class ProjectTimeEntry
{
    public long Id { get; set; }

    public long EntryUserId { get; set; }

    public long UserId { get; set; }

    public long ProjectId { get; set; }

    public string Description { get; set; } = null!;

    public string? AiDescription { get; set; }

    public string? RejectedComment { get; set; }

    public long? ApprovedBy { get; set; }

    public DateTime StartedAt { get; set; }

    public DateTime? EndedAt { get; set; }

    public TimeOnly? Offset { get; set; }

    public DateTime? ApprovedAt { get; set; }

    public DateTime? RejectedAt { get; set; }

    public DateTime CreatedAt { get; set; }

    public DateTime? UpdatedAt { get; set; }

    public virtual User? ApprovedByNavigation { get; set; }

    public virtual User EntryUser { get; set; } = null!;

    public virtual Project Project { get; set; } = null!;

    public virtual User User { get; set; } = null!;
}
