﻿using System;
using System.Collections.Generic;

namespace DigitalOps.Dal.DbEntity;

public partial class User
{
    public long Id { get; set; }

    public string Email { get; set; } = null!;

    public string FirstName { get; set; } = null!;

    public string? LastName { get; set; }

    public DateTime? RegisteredAt { get; set; }

    public DateTime CreatedAt { get; set; }

    public DateTime? UpdatedAt { get; set; }

    public virtual ICollection<OrganizationUser> OrganizationUsers { get; set; } = new List<OrganizationUser>();

    public virtual ICollection<ProjectTimeEntry> ProjectTimeEntryApprovedByNavigations { get; set; } = new List<ProjectTimeEntry>();

    public virtual ICollection<ProjectTimeEntry> ProjectTimeEntryEntryUsers { get; set; } = new List<ProjectTimeEntry>();

    public virtual ICollection<ProjectTimeEntry> ProjectTimeEntryUsers { get; set; } = new List<ProjectTimeEntry>();

    public virtual ICollection<UserOidc> UserOidcs { get; set; } = new List<UserOidc>();
}
