using DigitalOps.Authority;
using DigitalOps.CQRS;
using DigitalOps.Dal;
using PoweredSoft.Module.Abstractions;

namespace DigitalOps.Api;

public class AppModule : IModule
{
  public IServiceCollection ConfigureServices(IServiceCollection services)
  {
    services.AddModule<DalModule>();
    
    services.AddModule<CommandModule>();
    services.AddModule<QueryModule>();
    
    services.AddModule<AuthorityModule>();
    return services;
  }
}