using DigitalOps.Dal;
using Microsoft.Extensions.DependencyInjection;
using OpenHarbor.CQRS.DynamicQuery;
using PoweredSoft.Module.Abstractions;

namespace DigitalOps.CQRS.Queries.Project;

public class RegisterProjectQueriesModule : IModule
{
  public IServiceCollection ConfigureServices(IServiceCollection services)
  {
    services.AddDynamicQueryWithParams<ProjectItem, ProjectQueryParams>()
      .AddQueryableProviderOverride<ProjectItem, ProjectQueryableProvider>();
    
    return services;
  }
}