﻿using System;
using System.Collections.Generic;

namespace DigitalOps.Dal.DbEntity;

public partial class Project
{
    public long Id { get; set; }

    public long ClientId { get; set; }

    public string Name { get; set; } = null!;

    public DateTime CreatedAt { get; set; }

    public DateTime? UpdatedAt { get; set; }

    public virtual Client Client { get; set; } = null!;

    public virtual ICollection<ProjectTimeEntry> ProjectTimeEntries { get; set; } = new List<ProjectTimeEntry>();
}
